:root {
  --color-primary-indigo: #323464;
  --color-primary-yellow: #eaae19;
  --color-primary-velvet: #91213d;
  --color-neutral-off-white: #f9f9f9;
  --color-neutral-white: #ffffff;
  --color-neutral-black: #171717;

  --content-padding: 56px;
  --font-inter: "Inter", sans-serif;
}

* {
  box-sizing: border-box;
}

.content-grid {
  --padding-inline: 2rem;
  --content-max-width: 1240px;
  --breakout-max-width: 1300px;

  --breakout-size: calc(
    (var(--breakout-max-width) - var(--content-max-width)) / 2
  );

  display: grid;
  grid-template-columns:
    [full-width-start] minmax(var(--padding-inline), 1fr)
    [breakout-start] minmax(0, var(--breakout-size))
    [content-start] min(
      100% - (var(--padding-inline) * 2),
      var(--content-max-width)
    )
    [content-end]
    minmax(0, var(--breakout-size)) [breakout-end]
    minmax(var(--padding-inline), 1fr) [full-width-end];
}

.content-grid
  > :not(
    .breakout,
    .full-width,
    .content-with-bleed-image,
    .content-with-bleed-image-reverse
  ) {
  grid-column: content;
}

.content-grid > .breakout {
  grid-column: breakout;
}

.content-grid > .full-width {
  grid-column: full-width;
  display: grid;
  grid-template-columns: inherit;
}

.content-grid > .content-with-bleed-image {
  grid-column: content / full-width;
}

.content-grid > .content-with-bleed-image-reverse {
  grid-column: full-width / content;
}

.content-grid > p:last-child {
  margin-block-start: 0;
}

.content-spacing {
  padding-block: var(--content-padding);
}

@media only screen and (max-width: 599.98px) {
  .content-spacing {
    padding-block: 30px;
  }
}
/*--------------------------------------------------------------
>>> Colors:
--------------------------------------------------------------*/
.text-black {
  color: var(--color-neutral-black);
}
.text-white {
  color: var(--color-neutral-white);
}
.text-accent {
  color: var(--accent-color);
}
.text-gray {
  color: var(--gray-color);
}

/*--------------------------------------------------------------
>>> Typography:
--------------------------------------------------------------*/
body {
  overflow-x: hidden;
  color: var(--color-neutral-black);
}

body:not(.wp-admin),
button,
input,
select,
optgroup,
textarea,
.wp-block-post-content {
  font-family: var(--font-inter);
}

body:not(.wp-admin),
.wp-block-post-content {
  font-size: 16px;
  font-weight: 300;
  line-height: normal;
}
body.nav-menu-open {
  overflow: hidden;
}

a {
  color: inherit;
  text-decoration: none;
}

a:focus {
  outline: none;
}

h1,
.heading-1 {
  font-size: 50px;
  font-weight: 800;
}
h2,
.heading-2 {
  font-size: 40px;
  font-weight: 800;
}
h3,
.heading-3 {
  font-size: 32px;
  font-weight: 700;
}
h4,
.heading-4 {
  font-size: 22px;
  font-weight: 700;
}

.title-1 {
  font-size: 20px;
  font-weight: 600;
}
.title-2 {
  font-size: 18px;
  font-weight: 600;
  line-height: normal;
}
.text-sm {
  font-size: 14px;
}
.text-base {
  font-size: 16px;
}
.text-lg {
  font-size: 18px;
}
.text-xl {
  font-size: 22px;
}
.text-2xl {
  font-size: 24px;
}

@media only screen and (max-width: 599.98px) {
  body:not(.wp-admin),
  .text-base,
  .text-lg {
    font-size: 14px;
  }

  h1,
  .heading-1 {
    font-size: 30px;
    line-height: normal;
  }

  h2,
  h3,
  .heading-2,
  .heading-3 {
    font-size: 25px;
    line-height: normal;
  }
  h4,
  .heading-4 {
    font-size: 18px;
  }
  .title-1,
  .title-2,
  .text-xl,
  .text-2xl {
    font-size: 16px;
  }

  .text-sm {
    font-size: 12px;
  }
}

/*--------------------------------------------------------------
>>> Buttons:
--------------------------------------------------------------*/
.btn {
  box-sizing: border-box;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  line-height: normal;
  cursor: pointer;
  font-size: 20px;
  font-weight: 700;
  text-align: center;
  text-transform: uppercase;
  border-style: none;
  border-radius: calc(infinity * 1px);
  min-height: 60px;
  padding-block: 16px;
  padding-inline: 24px;
  background-color: var(--color-primary-indigo);
  color: var(--color-neutral-white);
}

.btn:hover {
  background-color: #212343;
  color: var(--color-neutral-white);
}

.btn:visited {
  color: var(--color-neutral-white);
}

.btn.btn-sm {
  min-height: 40px;
  padding-block: 10px;
  padding-inline: 25px;
}

.btn.btn-highlight {
  background-color: var(--color-primary-yellow);
  color: var(--color-neutral-black);
}

.btn.btn-highlight:hover {
  background-color: #f1c966;
  color: var(--color-neutral-black);
}

.btn.btn-white {
  background-color: var(--color-neutral-white);
  color: var(--color-neutral-black);
}

.btn.btn-white:hover {
  background-color: var(--color-primary-indigo);
  color: var(--color-neutral-white);
}

img {
  display: block;
}

@media only screen and (max-width: 599.98px) {
  .btn {
    font-size: 16px;
    min-height: 49px;
    padding-block: 15px;
    padding-inline: 24px;
  }
}
/*--------------------------------------------------------------
>>> Forms:
--------------------------------------------------------------*/
body:not(.wp-admin) input.form-control {
  box-sizing: border-box;
  width: 100%;
  min-height: 56px;
  font-size: 16px;
  padding-block: 16px;
  padding-inline: 24px;
  border: 1px solid #727272;
  border-radius: calc(infinity * 1px);
  outline: none;
}

body:not(.wp-admin) input[type="checkbox"] {
  width: 18px;
  height: 18px;
}

body:not(.wp-admin) textarea {
  font-size: 16px;
  padding-block: 24px;
  padding-inline: 24px;
  border: 1px solid #727272;
  border-radius: 16px;
  outline: none;
  resize: vertical;
  width: 100%;
}

/*--------------------------------------------------------------
>>> Header:
--------------------------------------------------------------*/
header.site-header .header-top {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-block: 25px;
}

header.site-header .header-top .site-branding img {
  width: auto;
  height: 100px;
}

header.site-header .main-navigation {
  background-color: var(--color-primary-indigo);
  color: var(--color-neutral-white);
  padding-block: 24px;
}

header.site-header ul.menu {
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
  justify-content: space-around;
  font-size: 20px;
  font-weight: 500;
  line-height: 150%;
  column-gap: 80px;
  row-gap: 10px;
}

header.site-header ul.menu > .menu-item {
  flex: 1;
  text-align: center;
}

header.site-header ul.menu > .menu-item a:hover,
header.site-header ul.menu .menu-item.current_page_item {
  color: var(--color-primary-yellow);
  transition: all 0.2s linear;
}

@media only screen and (max-width: 1199.98px) {
  header.site-header ul.menu {
    column-gap: 20px;
  }
}

@media only screen and (max-width: 991.98px) {
  header.site-header ul.menu {
    font-size: 16px;
  }

  header.site-header ul.menu > .menu-item {
    flex: auto;
  }
}

@media only screen and (min-width: 600px) {
  #site-navigation-toggle {
    display: none;
  }

  header.site-header ul.menu > .menu-item::after {
    height: 1px;
    background-color: var(--color-primary-yellow);
    transition: all 0.2s linear;
    content: "";
    display: block;
    width: 0;
    position: absolute;
    bottom: -1px;
  }

  header.site-header ul.menu > .menu-item:hover::after,
  header.site-header ul.menu > .menu-item.current_page_item::after {
    width: 100%;
  }

  header.site-header ul.menu li:hover > ul.sub-menu {
    display: flex;
    flex-direction: column;
    right: 0;
    width: 300px;
    padding-block: 16px;
    padding-inline: 16px;
    border-radius: 8px;
    font-size: 16px;
    background-color: var(--color-neutral-white);
    color: var(--color-primary-indigo);
    box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.15);
  }

  header.site-header ul.sub-menu .menu-item {
    border-bottom: 1px solid #e3e3e3;
  }

  header.site-header ul.sub-menu .menu-item:last-child {
    border-bottom: none;
  }

  header.site-header ul.sub-menu .menu-item a {
    width: 100%;
    line-height: normal;
    padding-block: 16px;
    padding-inline: 16px;
  }

  header.site-header ul.sub-menu .menu-item a:hover {
    color: var(--color-primary-yellow);
  }
}

@media only screen and (max-width: 599.98px) {
  #wpadminbar {
    display: none;
  }

  header.site-header .header-top {
    padding-block: 10px;
  }

  header.site-header .header-top .site-branding img {
    height: 50px;
    width: auto;
  }

  header.site-header .main-navigation {
    position: absolute;
    position-anchor: --site-header;
    width: 100%;
    height: calc(100vh - 70px);
    top: anchor(bottom);
    left: 0;
    overflow: scroll;
    transform: translateX(-100%);
    transition: transform 0.4s ease-in-out;
    padding-block: 4rem;
    z-index: 99999;
  }

  header.site-header .main-navigation.toggled {
    transform: translateX(0);
  }

  header.site-header ul.menu {
    flex-direction: column;
    row-gap: 20px;
  }

  header.site-header ul.menu > .menu-item > a {
    padding-inline: 0;
  }

  header.site-header ul.menu ul.sub-menu {
    box-shadow: unset;
    display: flex;
    flex-direction: column;
    row-gap: 20px;
    position: relative;
    top: unset;
    left: unset;
    margin-block-start: 20px;
    margin-inline-start: 20px;
  }

  header.site-header ul.sub-menu .menu-item {
  }

  header.site-header ul.sub-menu .menu-item a {
    padding-block: 0;
    padding-inline: 0;
  }
}

/*--------------------------------------------------------------
>>> Footer:
--------------------------------------------------------------*/
footer#footer {
  background-color: var(--color-primary-indigo);
  color: var(--color-neutral-white);
  font-weight: 500;
}

footer#footer .footer-content {
  display: flex;
  justify-content: space-between;
  row-gap: 40px;
}

footer#footer .footer-left {
  flex-basis: 480px;
  display: flex;
  flex-direction: column;
  row-gap: 40px;
}

footer#footer .footer-right {
  flex-basis: 350px;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  row-gap: 40px;
}

footer#footer .footer-left .footer-menus {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  text-transform: uppercase;
  line-height: 150%;
}

footer#footer .footer-left .footer-menus a {
  padding-block: 4px;
}

footer#footer .footer-left .contact-infos {
  display: flex;
  flex-direction: column;
  row-gap: 16px;
}

footer#footer .footer-left .copyright {
  font-weight: 400;
}

footer#footer .footer-right .footer-logo img {
  max-width: 350px;
  width: 100%;
  height: auto;
}

footer#footer .footer-right .social-links {
  display: flex;
  flex-direction: column;
  row-gap: 16px;
}

footer#footer .footer-right .social-link a {
  display: flex;
  align-items: center;
  column-gap: 16px;
}

footer#footer .footer-right .social-link img {
  width: 24px;
  height: auto;
}

@media only screen and (max-width: 767.98px) {
  footer#footer .footer-content {
    flex-direction: column-reverse;
  }

  footer#footer .footer-left {
    flex-basis: auto;
  }

  footer#footer .footer-right {
    flex-basis: auto;
    align-items: flex-start;
  }
}
